# studio::Instance::CanvasTreeModel Class Reference

`#include <instance.h>`

List of all members.

## Public Member Functions

| CanvasTreeModel ()

## Public Attributes

Gtk::TreeModelColumn < Glib::RefPtr< Gdk::Pixbuf > > | icon
Gtk::TreeModelColumn < Glib::ustring > | label
Gtk::TreeModelColumn < Glib::ustring > | name
Gtk::TreeModelColumn < Glib::ustring > | id
Gtk::TreeModelColumn < synfig::Canvas::Handle > | canvas
Gtk::TreeModelColumn< bool > | is_canvas
Gtk::TreeModelColumn < synfig::ValueNode::Handle > | value_node
Gtk::TreeModelColumn< bool > | is_value_node
Gtk::TreeModelColumn < synfig::ValueBase > | value
Gtk::TreeModelColumn < Glib::ustring > | type
Gtk::TreeModelColumn< int > | link_id
Gtk::TreeModelColumn< int > | link_count
Gtk::TreeModelColumn< bool > | is_editable
Gtk::TreeModelColumn < synfigapp::ValueDesc > | value_desc

## Constructor & Destructor Documentation

studio::Instance::CanvasTreeModel::CanvasTreeModel | ( |  | ) | `[inline]`

References canvas, icon, id, is_canvas, is_editable, is_value_node, label, link_count, link_id, name, type, value, value_desc, and value_node.

## Member Data Documentation

Gtk::TreeModelColumn<Glib::RefPtr<Gdk::Pixbuf> > studio::Instance::CanvasTreeModel::icon

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<Glib::ustring> studio::Instance::CanvasTreeModel::label

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<Glib::ustring> studio::Instance::CanvasTreeModel::name

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<Glib::ustring> studio::Instance::CanvasTreeModel::id

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<synfig::Canvas::Handle> studio::Instance::CanvasTreeModel::canvas

Referenced by CanvasTreeModel(), and studio::CompView::get_selected_canvas().

Gtk::TreeModelColumn<bool> studio::Instance::CanvasTreeModel::is_canvas

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<synfig::ValueNode::Handle> studio::Instance::CanvasTreeModel::value_node

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<bool> studio::Instance::CanvasTreeModel::is_value_node

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<synfig::ValueBase> studio::Instance::CanvasTreeModel::value

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<Glib::ustring> studio::Instance::CanvasTreeModel::type

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<int> studio::Instance::CanvasTreeModel::link_id

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<int> studio::Instance::CanvasTreeModel::link_count

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<bool> studio::Instance::CanvasTreeModel::is_editable

Referenced by CanvasTreeModel().

Gtk::TreeModelColumn<synfigapp::ValueDesc> studio::Instance::CanvasTreeModel::value_desc

Referenced by CanvasTreeModel().

The documentation for this class was generated from the following file:

- gtkmm/instance.h